---
title: "Delete a template"
description: "Delete a template"
url: https://docs.invoicefalcon.com/api/templates/delete-a-template/
api: "API v1 reference"
method: DELETE
path: "/templates/{id}"
---

# Delete a template

`DELETE https://app.invoicefalcon.com/api/v1/external/templates/{id}`

Delete a template

## Path parameters

- `id` (integer, required)

Rate limit: this call costs 2 points ([rate limits](https://docs.invoicefalcon.com/docs/rate-limiting/)).

## Example request

```sh
curl -X DELETE "https://app.invoicefalcon.com/api/v1/external/templates/{id}" \
  -H "X-Auth-Token: $INVOICE_FALCON_API_KEY"
```

## 204

Template deleted.

## 401

Missing or invalid API key.

```json
{
  "error": "Invalid API key"
}
```

## 403

The store is not on a paid plan. API access requires a paid Invoice Falcon plan.

```json
{
  "error": "REST API access requires a paid plan"
}
```

## 404

Resource not found.

```json
{
  "error": "Not found"
}
```

## 429

Rate limit exceeded. Check `X-RateLimit-Reset` header.

```json
{
  "error": "Rate limit exceeded",
  "retry_after": 30,
  "message": "You have exceeded the rate limit of 40 points per 60 seconds. Read requests cost 1 point(s) and write requests cost 2 point(s). Please retry after 30 second(s)."
}
```

